#define HTTP http:/
#undef unix

include snippets/publik-openssl.conf;

location ~ ^/static/(.+)$ {
    root /;
    try_files /var/lib/APPLICATION/tenants/$host/static/$1
              /var/lib/APPLICATION/tenants/$host/theme/static/$1
              /var/lib/APPLICATION/collectstatic/$1
              =404;
    add_header 'X-Content-Type-Options' 'nosniff';
    add_header 'X-XSS-Protection' '1; mode=block';
    add_header 'Content-Security-Policy' "default-src 'none'; style-src 'self' 'unsafe-inline'; object-src 'self' 'unsafe-inline';";
    add_header 'Access-Control-Allow-Origin' '*';
    include snippets/publik-gzip.conf;
}

#if ! defined PASSERELLE && ! defined FARGO
location ~ ^/media/(.+)$ {
    alias /var/lib/APPLICATION/tenants/$host/media/$1;
    add_header 'X-Content-Type-Options' 'nosniff';
    add_header 'X-XSS-Protection' '1; mode=block';
    add_header 'Content-Security-Policy' "default-src 'none'; style-src 'self' 'unsafe-inline'; object-src 'self' 'unsafe-inline';";
}
#endif

location /robots.txt {
    alias /var/lib/APPLICATION/www/robots.txt;
}

location / {
    proxy_pass         HTTP/unix:/var/run/APPLICATION/APPLICATION.sock;
    proxy_set_header   Host $http_host;
    proxy_set_header   X-Forwarded-SSL on;
    proxy_set_header   X-Forwarded-Protocol ssl;
    proxy_set_header   X-Forwarded-Proto https;
    proxy_set_header   X-Real-IP       $remote_addr;
    proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
    add_header 'X-Content-Type-Options' 'nosniff';
    add_header 'X-XSS-Protection' '1; mode=block';
}
